# Deploy Target


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

Deploy Target lets you spin up Compute instances on dedicated hypervisors.

[Read more](https://www.exoscale.com/virtual-private-cloud/)


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>get-deploy-target

Retrieve Deploy Target details

```
GET /deploy-target/{id}
```

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `id` | `path` | Must be a valid UUID. |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `description` | string | Deploy Target description<br/><br/>Max length: `255`. |
| `id` | string | Deploy Target ID<br/><br/>Must be a valid UUID. |
| `name` | string | Deploy Target name<br/><br/>Min length: `1`. Max length: `255`. |
| `type` | string | Deploy Target type<br/><br/>Allowed values: `edge`, `dedicated`. |

<details>
<summary>Example output</summary>

```json
{
  "description": "string",
  "id": "string",
  "name": "string",
  "type": "edge"
}
```
</details>


SDK reference for `get-deploy-target`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetDeployTarget) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_deploy_target) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getDeployTarget(java.util.UUID))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-deploy-target`

## <span data-label="GET" class="pill-GET"></span>list-deploy-targets

List Deploy Targets

```
GET /deploy-target
```

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `deploy-targets` | array of [Deploy target](/reference/api/_schemas/deploy-target/) |  |

<details>
<summary>Example output</summary>

```json
{
  "deploy-targets": [
    {
      "description": "string",
      "id": "string",
      "name": "string",
      "type": "edge"
    }
  ]
}
```
</details>


SDK reference for `list-deploy-targets`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListDeployTargets) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_deploy_targets) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listDeployTargets())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-deploy-targets`


